CREATE TABLE ben_elig_mrtl_sts_prte (
    ELIG_MRTL_STS_PRTE_ID    NUMBER(18, 0),
    START_DATE               DATE         ,
    END_DATE                 DATE         ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    LEGAL_ENTITY_ID          NUMBER(18, 0),
    ELIGY_PRFL_ID            NUMBER(18, 0)    NOT NULL,
    EXCLD_FLAG               VARCHAR2(120)    NOT NULL,
    MARITAL_STATUS           VARCHAR2(120),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CRITERIA_SCORE           NUMBER       ,
    CRITERIA_WEIGHT          NUMBER       ,
    LEGISLATION_CODE         VARCHAR2(480),
    ELIG_MRTL_STS_PRTE_ID    NUMBER(18, 0),
    START_DATE               DATE         ,
    END_DATE                 DATE         ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    LEGAL_ENTITY_ID          NUMBER(18, 0),
    ELIGY_PRFL_ID            NUMBER(18, 0)    NOT NULL,
    EXCLD_FLAG               VARCHAR2(120)    NOT NULL,
    MARITAL_STATUS           VARCHAR2(120),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CRITERIA_SCORE           NUMBER       ,
    CRITERIA_WEIGHT          NUMBER       ,
    LEGISLATION_CODE         VARCHAR2(480),
    CONSTRAINT pk_ben_elig_mrtl_sts_prte PRIMARY KEY (ELIG_MRTL_STS_PRTE_ID, ELIG_MRTL_STS_PRTE_ID)
);
